321402: Empty client_id
ERROR
This error occurs when you call the OAuth Token API without a value for client_id. The Token API requires client_id, client_secret, and grant_type in an application/x-www-form-urlencoded POST request body, and client_id is the unique identifier of your OAuth app.
- You omitted
client_idfrom the Token API request body. - You sent
client_idwith an empty value. Twilio returns this condition as "Empty client_id," and the parameter is required. - You did not send the request body as
application/x-www-form-urlencoded, so Twilio could not read the requiredclient_idparameter.
- Include
client_idin the form-encoded request body and make sure the parameter name is exactlyclient_id. - Open your OAuth app in Console and copy the Client ID generated for that app. Twilio creates the Client ID and Client Secret when you create an OAuth app.
- Send a complete token request to the OAuth token endpoint with
client_id,client_secret, andgrant_type=client_credentials.